Public APIAPI ReferenceDeployments
Record deployment build events.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
POST
/v1/apps/{appId}/deployments/{deploymentId}/eventsAppend up to 1000 build events at the info, warn, or error level. Used on a best-effort basis by the ntro deploy command. Only users with a verified email can use this.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
deploymentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/deployments/string/events" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "level": "string", "message": "string" } ] }'Empty